### org.jfree.layouting.layouter.counters.numeric

# Class UppercaseHexadecimalCounterStyle

- `java.lang.Object`
- - `org.jfree.layouting.layouter.counters.numeric.UppercaseHexadecimalCounterStyle`

Implemented Interfaces:
  CounterStyle

`public class UppercaseHexadecimalCounterStyle`
`extends java.lang.Object`
`implements CounterStyle`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: UppercaseHexadecimalCounterStyle.java 3524 2007-10-16 11:26:31Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Constructor Summary

  `UppercaseHexadecimalCounterStyle()`

  ## Method Summary

  `String`

  `getCounterValue(int index)`

  `String`

  `getSuffix()`

## Constructor Details

### UppercaseHexadecimalCounterStyle

    public UppercaseHexadecimalCounterStyle()

## Method Details

### getCounterValue

    public String getCounterValue(int index)

> Specified by:
>   getCounterValue in interface CounterStyle

### getSuffix

    public String getSuffix()

> Specified by:
>   getSuffix in interface CounterStyle